<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");
include("modules/gallery/functions.php");
include("modules/gallery/rollover.txt");

$cat = intval($apt->get[cat]);

if($cat <= 0){
$apt->errmsg("عفوا ... لا يوجد تصنيف يحمل الرقم [$cat]<br>يبدوا انك اخطأت في الرابط او انك لم تقم باختيار تصنيف صحيح");
}elseif(!$apt->dbnumquery("rafia_gallery_cat","gid='$cat'")){
$apt->errmsg("عفوا ... لا يوجد تصنيف يحمل الرقم [$cat]<br>يبدوا انك اخطأت في الرابط او انك لم تقم باختيار تصنيف صحيح");
}

$page = intval($apt->get[page]);
if($page ==0) $page=1;
$end=12; 
$show=3; 
$start=$page*$end-$end; 
if($start < 0) $start=0;

if($Cat_Colcount < 1 ) $Cat_Colcount = 1;

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

$member_group = $apt->cookie['cgroup'];
$allow_me = in_array($member_group,$allow_upload);
if($allow_me){
$page_icon = "<br><a href=mod.php?mod=gallery&modfile=upload&cat=$cat><img border=0 src=modules/gallery/themes/images/upload.gif></a>";
}else{$page_icon ='';}

$result = $apt->query("SELECT * FROM rafia_gallery_image where imgcat='$cat' and allow=1 ORDER BY imgid DESC LIMIT $start,$end");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_header' , $modid,$mod_theme ) . "\";");
$index_middle .= "<table border='0' width='100%' align='center' cellpadding='".$Cat_Colcount."'><tr>";
if($apt->dbnumrows($result)== 0){
$index_middle .= "<td align=\"center\" width=\"100%\"  valign=\"top\" height=\"100%\">";
$index_middle .= " ";
$index_middle .= "</td>";
}else{
while($row = $apt->dbarray($result)){
@extract($row);
$tdwidth =  100/$Cat_Colcount;
$index_middle .= "<td align=\"center\" width=\"".$tdwidth."%\"  valign=\"top\">";

if($hide_link == 1){
$photo = "<img src=\"mod.php?mod=gallery&modfile=view&thumb=1&imgid=$imgid\" WIDTH=121 HEIGHT=86 border=0 alt='$a_img[$x]' style=\"filter:alpha(opacity=100)\" onmouseout=\"gradualfade(this,100,30,4)\" onmouseover=\"gradualfade(this,40,50,100)\">";
}else{
$photo = "<img src=\"modules/gallery/thumb/$imglink\" WIDTH=121 HEIGHT=86 border=0 alt='$a_img[$x]' style=\"filter:alpha(opacity=100)\" onmouseout=\"gradualfade(this,100,30,4)\" onmouseover=\"gradualfade(this,40,50,100)\">";
}

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'view_category_image' , $modid,$mod_theme ) . "\";");

$index_middle .= "</td>";
$count++;
if ($count ==  $Cat_Colcount)
{
$index_middle .= "</tr>";
$count = 0;
}
}
}
$index_middle .= "</tr></table><br>";


$Sql2 = "select * from rafia_gallery_image where imgcat='$cat'"; 
$user2 = mysql_query($Sql2); 
$rows=mysql_num_rows($user2); 
$links=$rows/$end; 
$lastlink=ceil($links); 

if($rows > $end){
if ($lastlink!=1) {
$index_middle .= "<b>الصفحات : </b>";
if (($lastlink<=$page+$show and $page-$show>1) or ($page-$show>1) ) { $index_middle .= "<a title='أول صفحة' href=mod.php?mod=gallery&modfile=category&cat=$cat&page=1> « </a> ..";} 
if ($page-$show<1) { for ($i=1 ;$i<=$page-1 ;$i++) $index_middle .= "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
if ($page-$show>=1) { for ($i=$page-$show ;$i<=$page-1 ;$i++) $index_middle .= "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
if ($lastlink>$page+$show) { $index_middle .= "[$page]"; for ($i=$page+1 ;$i<=$page+$show ;$i++) { $index_middle .= "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>";}
$index_middle .= " .. <a title='آخر صفحة' href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$lastlink> » </a>"; } 
if ($lastlink<=$page+$show) { $index_middle .= "[$page]"; for ($i=$page+1 ;$i<=$lastlink ;$i++) $index_middle .= "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
}
}

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_footer' , $modid,$mod_theme ) . "\";");
echo $index_middle;

?>